Subject: Re: bug#60087: 29.0.60; c++-ts-mode conflict with electric-pair-mode

From: João Távora <[email-masked]>
Date: Thu, 15 Dec 2022 13:05:45 +0000

On Thu, Dec 15, 2022 at 11:34 AM Eason Huang <[email-masked]> wrote:
>
> Hello Emacs dev team,
>
> I found that the c++-ts-mode conflict with electric-pair-mode.
> My build is based on commit a15cd55044c6bb4d4e9f9aec23b8b5b9cbcb38ac
>
> May be the issue was introduced by this commit:
>
https://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-29&id=480f41c7deb4d3a45a862a5308950b35085f835d
>
> I can confirm that Before the commit 480f41c7, It work well.

Does "it work well" mean it used to auto-pair '<' to '>'?  I don't
have a tree-sitter build to check atm, but I find this odd.

João